libosmo-sigtran: src/ss7_link.h File Reference

libosmo-sigtran 2.2.1.99-1c6a Osmocom SIGTRAN library

Data Structures | Enumerations | Functions
ss7_link.h File Reference
`#include <stdint.h>`
`#include <osmocom/core/linuxlist.h>`

Go to the source code of this file.

## Data Structures
struct | osmo_ss7_link

## Enumerations
enum | osmo_ss7_link_adm_state { OSMO_SS7_LS_SHUTDOWN , OSMO_SS7_LS_INHIBITED , OSMO_SS7_LS_ENABLED , _NUM_OSMO_SS7_LS }

## Functions
void | ss7_link_destroy (struct osmo_ss7_link *link)
| Destroy SS7 Link. More...
struct osmo_ss7_link * | ss7_link_find_or_create (struct osmo_ss7_linkset *lset, uint32_t id)
| Find or create SS7 Link with given ID in given Linkset. More...
bool | ss7_link_is_available (const struct osmo_ss7_link *link)

## Enumeration Type Documentation

## ◆ osmo_ss7_link_adm_state

enum osmo_ss7_link_adm_state

Enumerator
OSMO_SS7_LS_SHUTDOWN |
OSMO_SS7_LS_INHIBITED |
OSMO_SS7_LS_ENABLED |
_NUM_OSMO_SS7_LS |

## Function Documentation

## ◆ ss7_link_destroy()

void ss7_link_destroy | ( | struct osmo_ss7_link * | link | ) |

Destroy SS7 Link.

Parameters

  [in] | link | SS7 Link to be destroyed

References osmo_ss7_link::cfg, osmo_ss7_linkset::cfg, osmo_ss7_link::id, osmo_ss7_linkset::inst, osmo_ss7_linkset::links, osmo_ss7_link::linkset, LOGSS7, osmo_ss7_linkset::name, NULL, and ss7_initialized.

Referenced by ss7_linkset_destroy().

## ◆ ss7_link_find_or_create()

struct osmo_ss7_link * ss7_link_find_or_create | ( | struct osmo_ss7_linkset * | lset,
|  | uint32_t | id
| ) |  |

Find or create SS7 Link with given ID in given Linkset.

Parameters

  [in] | lset | SS7 Linkset on which we operate
  [in] | id | Link number within Linkset

Returns
  pointer to SS7 Link on success; NULL on error

References osmo_ss7_link::cfg, osmo_ss7_linkset::cfg, osmo_ss7_link::id, osmo_ss7_linkset::inst, osmo_ss7_linkset::links, osmo_ss7_link::linkset, LOGSS7, osmo_ss7_linkset::name, NULL, and ss7_initialized.

## ◆ ss7_link_is_available()

bool ss7_link_is_available | ( | const struct osmo_ss7_link * | link | ) |

References osmo_ss7_link::adm_state, osmo_ss7_link::cfg, and OSMO_SS7_LS_ENABLED.

Referenced by ss7_linkset_is_available().